FourLetterWordMain (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.client

## Class FourLetterWordMain

- java.lang.Object
- - org.apache.zookeeper.client.FourLetterWordMain

-     @InterfaceAudience.Public
      public class FourLetterWordMain
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FourLetterWordMain()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `static String` | `send4LetterWord(String host, int port, String cmd)` Send the 4letterword
    `static String` | `send4LetterWord(String host, int port, String cmd, boolean secure)` Send the 4letterword
    `static String` | `send4LetterWord(String host, int port, String cmd, boolean secure, int timeout)` Send the 4letterword

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          protected static final org.slf4j.Logger LOG

  - ### Constructor Detail

    - #### FourLetterWordMain

          public FourLetterWordMain()

  - ### Method Detail

    - #### send4LetterWord

          public static String send4LetterWord(String host,
                                               int port,
                                               String cmd)
                                        throws IOException,
                                               X509Exception.SSLContextException

      Send the 4letterword
      Parameters:
        `host` - the destination host
        `port` - the destination port
        `cmd` - the 4letterword
      Returns:
        server response
      Throws:
        `IOException`
        `X509Exception.SSLContextException`

    - #### send4LetterWord

          public static String send4LetterWord(String host,
                                               int port,
                                               String cmd,
                                               boolean secure)
                                        throws IOException,
                                               X509Exception.SSLContextException

      Send the 4letterword
      Parameters:
        `host` - the destination host
        `port` - the destination port
        `cmd` - the 4letterword
        `secure` - whether to use SSL
      Returns:
        server response
      Throws:
        `IOException`
        `X509Exception.SSLContextException`

    - #### send4LetterWord

          public static String send4LetterWord(String host,
                                               int port,
                                               String cmd,
                                               boolean secure,
                                               int timeout)
                                        throws IOException,
                                               X509Exception.SSLContextException

      Send the 4letterword
      Parameters:
        `host` - the destination host
        `port` - the destination port
        `cmd` - the 4letterword
        `secure` - whether to use SSL
        `timeout` - in milliseconds, maximum time to wait while connecting/reading data
      Returns:
        server response
      Throws:
        `IOException`
        `X509Exception.SSLContextException`

    - #### main

          public static void main(String[] args)
                           throws IOException,
                                  X509Exception.SSLContextException

      Throws:
        `IOException`
        `X509Exception.SSLContextException`

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.